# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=( python3+ )

SRC_URI="https://files.pythonhosted.org/packages/b1/c5/f17271228e76d9ab8465f8dd6b33c25549eac01de3a1ee6574999f368876/certbot_dns_ovh-3.2.0.tar.gz -> certbot_dns_ovh-3.2.0.tar.gz"
KEYWORDS="*"

inherit distutils-r1

DESCRIPTION="OVH DNS Authenticator plugin for Certbot"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"

LICENSE="Apache-2.0"
SLOT="0"
IUSE=""

CDEPEND=">=dev-python/setuptools-1.0[${PYTHON_USEDEP}]"
RDEPEND="${CDEPEND}
	>=app-crypt/certbot-1.1.0[${PYTHON_USEDEP}]
	>=dev-python/acme-0.31.0[${PYTHON_USEDEP}]
	dev-python/mock[${PYTHON_USEDEP}]
	dev-python/zope-interface[${PYTHON_USEDEP}]
	>=dev-python/dns-lexicon-2.7.14[${PYTHON_USEDEP}]"
DEPEND="${CDEPEND}"